EMRUN(1)

NAME
emrun - emscripten tool to compile as an HTML page

DESCRIPTION
usage: emrun [emrun_options] filename.html -- [html_cmdline_options]

    where emrun_options specifies command line options for emrun itself, whereas html_cmdline_options specifies startup arguments to the program.

If you are seeing "unrecognized arguments" when trying to pass arguments to your page, remember to add `--` between arguments to emrun itself and arguments to your page.

  positional arguments:

    serve cmdlineparams

  options:

-h, --help
    show this help message and exit

--kill-start
    If true, any previously running instances of the target browser are killed before starting.

--kill-exit
    If true, the spawned browser process is forcibly killed when it calls exit(). Note: Using this option may require explicitly passing the option --browser=/path/to/browser, to avoid emrun being detached from the browser process it spawns.

--no-server
    If specified, a HTTP web server is not launched to host the page to run.

--no-browser
    If specified, emrun will not launch a web browser to run the page.

--no-emrun-detect
    If specified, skips printing the warning message if html page is detected to not have been built with --emrun linker flag.

--serve-after-close
    If true, serves the web page even after the application quits by user closing the web page.

--serve-after-exit
    If true, serves the web page even after the application quits by a call to exit().

--serve-root SERVE_ROOT
    If set, specifies the root path that the emrun web server serves. If not specified, the directory where the target .html page lives in is served.

--verbose
    Enable verbose logging from emrun internal operation.

--hostname HOSTNAME
    Specifies the hostname the server runs in.

--port PORT
    Specifies the port the server runs in.

--log-stdout LOG_STDOUT
    Specifies a log filename where the browser process stdout data will be appended to.

--log-stderr LOG_STDERR
    Specifies a log filename where the browser process stderr data will be appended to.

--silence-timeout SILENCE_TIMEOUT
    If no activity is received in this many seconds, the browser process is assumed to be hung, and the web server is shut down and the target browser killed. Disabled by default.

--timeout TIMEOUT
    If the browser process does not quit or the page exit() in this many seconds, the browser is assumed to be hung, and the web server is shut down and the target browser killed. Disabled by default.

--timeout-returncode TIMEOUT_RETURNCODE
    Sets the exit code that emrun reports back to caller in the case that a page timeout occurs. Default: 99999.

--list-browsers
    Prints out all detected browser that emrun is able to use with the --browser command and exits.

--browser BROWSER
    Specifies the browser executable to run the web page in.

--browser-args BROWSER_ARGS
    Specifies the arguments to the browser executable.

--android
    Launches the page in a browser of an Android device connected to an USB on the local system. (via adb)

--android-tunnel
    Expose the port directly to the Android device and connect to it as localhost, establishing cross origin isolation. Implies --android. A reverse socket connection is created by adb reverse, and remains after emrun terminates (it can be removed by adb reverse --remove).

--system-info
    Prints information about the current system at startup.

--browser-info
    Prints information about the target browser to launch at startup.

--json
    If specified, --system-info and --browser-info are output in JSON format.

--safe-firefox-profile
    If true, the browser is launched into a new clean Firefox profile that is suitable for unattended automated runs. (If target browser != Firefox, this parameter is ignored)

--private-browsing
    If specified, opens browser in private/incognito mode.

--dump-out-directory DUMP_OUT_DIRECTORY
    If specified, overrides the directory for dump files using emrun_file_dump method.